[FileName1,PathName] = uigetfile('*.txt','Select the starting trace file.');
[FileName2,~] = uigetfile('*.txt','Select the final trace file.');
directory=[PathName, '/'];
disp(directory)
cd(directory);  
close all;

firstmovie = strrep(strrep(FileName1,'state_time_',''),'.txt','');
lastmovie = strrep(strrep(FileName2,'state_time_',''),'.txt','');
startnum = str2num(firstmovie);
endnum = str2num(lastmovie);
N12 = 0;
N13 = 0;
N21 = 0;
N23 = 0;
N31 = 0;
N32 = 0;

for movienum = startnum:endnum	
    file = ['state_time_' num2str(movienum)];
    to_open = strcat(file,'.txt');
    raw=importdata(to_open);
    stateidx = raw.data(:,1);
    for i = 1: length(stateidx)-1
        if stateidx(i,1) == 1 && stateidx(i+1,1) == 2
            N12 = N12 + 1;
        elseif stateidx(i,1) == 1 && stateidx(i+1,1) == 3
            N13 = N13 + 1;
        elseif stateidx(i,1) == 2 && stateidx(i+1,1) == 1
            N21 = N21 + 1;
        elseif stateidx(i,1) == 2 && stateidx(i+1,1) == 3
            N23 = N23 + 1;
        elseif stateidx(i,1) == 3 && stateidx(i+1,1) == 1
            N31 = N31 + 1;
        elseif stateidx(i,1) == 3 && stateidx(i+1,1) == 2
            N32 = N32 + 1;
        end
    end
end